[@rxap/material-table-system](../wiki/globals) / TableColumnOptionComponent

# Class: TableColumnOptionComponent

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:20](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L20)

## Implements

- `OnInit`

## Constructors

### new TableColumnOptionComponent()

> **new TableColumnOptionComponent**(`_element`, `router`): [`TableColumnOptionComponent`](../wiki/Class.TableColumnOptionComponent)

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:60](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L60)

#### Parameters

##### \_element

`ElementRef`\<`HTMLElement`\>

##### router

`Router`

#### Returns

[`TableColumnOptionComponent`](../wiki/Class.TableColumnOptionComponent)

## Properties

### active

> **active**: `boolean` = `true`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:25](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L25)

***

### name

> **name**: `string`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L22)

## Accessors

### display

#### Get Signature

> **get** **display**(): `string`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:31](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L31)

The displayed value of the option. It is necessary to show the selected option in the
select's trigger.

##### Returns

`string`

***

### hidden

#### Get Signature

> **get** **hidden**(): `boolean` \| `""`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:45](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L45)

##### Returns

`boolean` \| `""`

#### Set Signature

> **set** **hidden**(`value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:41](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L41)

##### Parameters

###### value

`boolean` | `""`

##### Returns

`void`

***

### inactive

#### Set Signature

> **set** **inactive**(`value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:36](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L36)

##### Parameters

###### value

`boolean` | `""`

##### Returns

`void`

***

### show

#### Set Signature

> **set** **show**(`value`): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:52](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L52)

##### Parameters

###### value

`boolean`

##### Returns

`void`

## Methods

### activate()

> **activate**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:82](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L82)

#### Returns

`void`

***

### deactivate()

> **deactivate**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:87](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L87)

#### Returns

`void`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:67](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L67)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### toggle()

> **toggle**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts:77](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-column-menu/table-column-option/table-column-option.component.ts#L77)

#### Returns

`void`
